"
 COPYRIGHT (c) 1997 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Object subclass:#DeviceColorHandle
	instanceVariableNames:'device colorId'
	classVariableNames:''
	poolDictionaries:''
	category:'Graphics-Support'
!

!DeviceColorHandle class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    This is an abstract class for device handles which are responsible
    for finalization i.e. to destroy underlying system resources, when the GC
    frees an object which has created some system object.
    These are used with colors.

    [see also:]
        Color

    [author:]
        Claus Gittinger

"
! !

!DeviceColorHandle methodsFor:'accessing'!

setDevice:aDevice colorId:anId
    "set the handles contents"

    device := aDevice.
    colorId := anId.

    "Modified: 23.4.1996 / 22:10:26 / cg"
! !

!DeviceColorHandle methodsFor:'finalization'!

disposed
    "the color for which I am a handle was collected 
     - release system resources"

    colorId notNil ifTrue:[
        device freeColor:colorId.
        colorId := nil.
    ].
! !


!DeviceColorHandle class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview/Attic/DevColorH.st,v 1.1 1997-01-16 22:22:29 cg Exp $'
! !
